Ath9k: Signal drops to 0% on connection to AP after a few seconds, drops connection.

Bug #379096 reported by hR on 2009-05-21
306
This bug affects 7 people
Affects Status Importance Assigned to Milestone
linux-backports-modules-2.6.31 (Ubuntu)
Medium
Leann Ogasawara

Bug Description

I have an AR928X wireless card in my Asus M50-vM notebook and use the ATH9k driver in compat wireless. I use the bleeding edge package every day for several weeks to no effect. I am using wicd and I have tried ubuntu 8.10 and 9.04 kernels 2.6.27 - 2.6.30rc5.

When I try and connect to an access point it connects fine and I can see plenty of networks with a strong signal. On connect it seems to work for about 5-10 seconds then all the signals in my list drop to 0% and If I refresh or do iwlist scan, they are all at 0% but the same networks are there. It then proceeds to drop the connection and reconnect every 5-10 seconds and I can sometimes pull a little traffic through during these times.

I have to restart to make the signals again reset to the correct percentage. Restarting networking or up and downing the interface has no effect whatsoever.

Here is the output of "dmesg | grep -i wlan1", I hope it is helpful:
[ 121.344392] ADDRCONF(NETDEV_UP): wlan1: link is not ready
[ 121.407997] wlan1: direct probe to AP 00:18:9c:7c:dd:87 try 1
[ 121.425507] wlan1: direct probe to AP 00:18:9c:7c:dd:87 try 1
[ 121.428188] wlan1 direct probe responded
[ 121.428196] wlan1: authenticate with AP 00:18:9c:7c:dd:87
[ 121.430129] wlan1: authenticated
[ 121.430134] wlan1: associate with AP 00:18:9c:7c:dd:87
[ 121.432544] wlan1: RX AssocResp from 00:18:9c:7c:dd:87 (capab=0x421 status=0 aid=321)
[ 121.432550] wlan1: associated
[ 121.433242] ADDRCONF(NETDEV_CHANGE): wlan1: link becomes ready
[ 131.908021] wlan1: no IPv6 routers present
[ 164.640051] wlan1: deauthenticating by local choice (reason=3)
[ 165.008904] ADDRCONF(NETDEV_UP): wlan1: link is not ready
[ 166.349384] wlan1: authenticate with AP 00:18:9c:7c:dd:87
[ 166.351587] wlan1: authenticated
[ 166.351594] wlan1: associate with AP 00:18:9c:7c:dd:87
[ 166.353902] wlan1: RX AssocResp from 00:18:9c:7c:dd:87 (capab=0x421 status=0 aid=321)
[ 166.353909] wlan1: associated
[ 166.354576] ADDRCONF(NETDEV_CHANGE): wlan1: link becomes ready
[ 171.629088] wlan1: deauthenticating by local choice (reason=3)

I attached the entire output below.
It seems like a lot of the same but I don't want to miss anything out. Please let me know if I should post any other outputs. Any help would be great I have been struggling with this for many weeks, thanks in advance.

-hR.

hR (bluestreek) wrote :
hR (bluestreek) on 2009-05-21
summary: - Signal drops to 0% on connection to AP after a few seconds.
+ Ath9k: Signal drops to 0% on connection to AP after a few seconds, drops
+ connection.
tags: added: ath9k
description: updated
description: updated

Please see whether the attached patch helps in solving your signal issue. This will apply on the tip of the wireless testing....

Frank Wong (frankwong15) on 2009-05-22
affects: ubuntu → linux (Ubuntu)
hR (bluestreek) wrote :

How do I use that patch? I gave it ago but im not sure quite how it works.

Refer to http://wireless.kernel.org/en/users/Download for help testing the latest compat-wireless stack. Please let us know your results. Thanks.

Changed in linux (Ubuntu):
importance: Undecided → Medium
status: New → Triaged

Hi hR,

Could you test the latest linux-backports-modules-karmic package? The reason I ask is this patch was recently applied to the upstream wireless-testing tree and linux-backports-modules-karmic recently sync'd with the wireless-testing tree as of 2009-07-22 . Please let us know your results. Also, ISO images for Karmic can be found at http://cdimage.ubuntu.com/releases/karmic/ but you'd still need to install linux-backports-modules-karmic. Thanks.

ogasawara@yoji:~/wireless-testing$ git log -p 3e8d717dc745c23c3e16b1573b8d2b7f77222426
commit 3e8d717dc745c23c3e16b1573b8d2b7f77222426
Author: Senthil Balasubramanian <email address hidden>
Date: Tue Jul 14 20:17:07 2009 -0400

    ath9k: Manipulate and report the correct RSSI

ogasawara@emiko:~/ubuntu-karmic-lbm$ git log 3f282ff98225d29fe092c76faa8aca440916dd02
commit 3f282ff98225d29fe092c76faa8aca440916dd02
Author: Andy Whitcroft <email address hidden>
Date: Thu Jul 23 17:25:20 2009 +0100

    UBUNTU: Update wireless-testing to master-2009-07-22

    Signed-off-by: Andy Whitcroft <email address hidden>

Changed in linux (Ubuntu):
assignee: nobody → Leann Ogasawara (leannogasawara)
status: Triaged → Incomplete
MadGuy (madguy) wrote :

The same problem with ASUS G60Vx here. Installing the linux-backports-modules-karmic
seems to help, notebook running about 3hrs without disconnects, signal strength constant.

affects: linux (Ubuntu) → linux-backports-modules-2.6.31 (Ubuntu)
Emily Cartier (elacartier) wrote :

I have an Asus EEEpc 1000HE running a new install of 9.10 Netbook Remix. I'd had serious wireless problems where I'd suspend the laptop, then after resume I'd have internet for 30s then lose all connection with my router. The router is a WRT160N, and I'm connecting via 820.11n using WPA2 Personal. I was told to try linux-backports-modules-karmic, and this fixed the suspend problem, but I still have flaky connectivity.

dmesg reports:
wlan0: direct probe responded
wlan0: authenticate with AP 00:22:6b:49:06:3e (try 1)
wlan0: authenticated
wlan0: associate with AP 00:22:6b:49:06:3e (try 1)
wlan0: RX AssocResp from 00:22:6b:49:06:3e (capab=0x411 status=0 aid=1)
wlan0: associated wlan0: deauthenticating from 00:22:6b:49:06:3e by local choice (reason=3)
wlan0: deauthenticating from 00:22:6b:49:06:3e by local choice (reason=3)
wlan0: deauthenticating from 00:22:6b:49:06:3e by local choice (reason=3)

I'm not telling the wireless card to turn off. When I notice the connection getting flaky and test with ping, I come up with the router is not found.

I have a second 1000HE available with identical internals that runs Windows XP only. Under Windows, the card is fairly stable. The problem on this machine is new as of 9.10, I have a 9.04 wubi install of xubuntu and that was at least as stable as Windows for wireless performance.

frozenfoxx (frozenfoxx) wrote :

I'm using Ubuntu 9.10 Karmic NetBook Remix and still experience the same issue after sudo apt-get install linux-backports-modules-karmic did nothing for my issue. I am running wicd for management but experienced the same issue under NetworkManager as well.

No output in dmesg when the failure occurs, no output in wicd.log when the failure occurs, it simply dies. Simple as that. Going to try networkmanager again but it didn't help last time.

frozenfoxx (frozenfoxx) wrote :

As an update after removing wicd and reinstalling NetworkManager-Gnome in my Karmic NBR installation on the Asus Eee 1101HA w/the above-mentioned linux-backports-modules-karmic my wireless connection is now stable.

exogenetic (exogenetic) wrote :

linux-backports-modules-2.6.31-14-generic

This set of the backports solved my long running issue with signal and connectivity on an Asus N50vn

Atheros ar298x

I did not have the same results with Jaunty, however, I quit using Jaunty when the Karmic Beta was released.

raz (razvan-budac) wrote :

On an ASUS laptop K70IJ-C1 with ATH9K wireless driver, the stability of wireless connection improved considerably after installing linux-backports-modules-karmic on Ubuntu 9.10 (Kernel 2.6.31-15).

Anyway, after installing it, I noticed that cups will not 'auto-discover' a printer shared on a different ubuntu box in the same subnet. Could linux-backports-modules-karmic cause this?

Thanks,
Raz

Same problem on ASPIRE 4736Z. Most of the times the connection is fine. But sometimes (after closing the lid or wifi router is far away) it is very unpredictable, connecting and disconnecting, re-asking me for password...

When I reboot it works fine again.

~$ uname --all
Linux luky-laptop 2.6.31-21-generic #59-Ubuntu SMP Wed Mar 24 07:28:56 UTC 2010 i686 GNU/Linux

~$ lsmod|grep ath
ath9k 258744 0
mac80211 181140 1 ath9k
ath 8060 1 ath9k
cfg80211 93052 3 ath9k,mac80211,ath
led_class 4096 1 ath9k

~$ lspci |grep -i ath
04:00.0 Network controller: Atheros Communications Inc. AR928X Wireless Network Adapter (PCI-Express) (rev 01)

On Tue, Jun 1, 2010 at 9:16 AM, lucas luky <email address hidden> wrote:
> Same problem on ASPIRE 4736Z. Most of the times the connection is fine.
> But sometimes (after closing the lid or wifi router is far away) it is
> very unpredictable, connecting and disconnecting, re-asking me for
> password...
>
> When I reboot it works fine again.
>
>
> ~$ uname --all
> Linux luky-laptop 2.6.31-21-generic #59-Ubuntu SMP Wed Mar 24 07:28:56 UTC 2010 i686 GNU/Linux
>
> ~$ lsmod|grep ath
> ath9k                 258744  0
> mac80211              181140  1 ath9k
> ath                     8060  1 ath9k
> cfg80211               93052  3 ath9k,mac80211,ath
> led_class               4096  1 ath9k

2.6.31 is old and deprecated, please try a stable kernel or just
install a stable compat-wireless:

http://wireless.kernel.org/en/users/Download/stable

  Luis

Riccardo 'c10ud' (c10ud) on 2014-05-14
information type: Public → Public Security
To post a comment you must log in.
This report contains Public Security information  Edit
Everyone can see this security related information.

Other bug subscribers

Bug attachments